=== debian/changelog ===
minbif (1:1.0.5+git20150505-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:19:48 +0100

minbif (1:1.0.5+git20150505-3) unstable; urgency=medium

  * Switch to DEP 14

 -- Sebastien Delafond <seb@debian.org>  Tue, 06 Feb 2018 09:32:09 +0100

minbif (1:1.0.5+git20150505-2) unstable; urgency=medium

  * Bump up Standards-Version
  * Update debian/watch
  * Update Vcs-* to point to salsa.d.o
  * Remove unused patches
  * Update debian/copyright
  * Remove extra whitespaces in debian/{changelog,control}
  * Remove -dbg package
  * More lintian fixes

 -- Sebastien Delafond <seb@debian.org>  Wed, 24 Jan 2018 13:27:06 +0100

minbif (1:1.0.5+git20150505-1) unstable; urgency=medium

  * New upstream version (Closes: #782825)
  * Bump up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Sun, 10 May 2015 18:14:00 +0200

minbif (1:1.0.5+git20120508-4) unstable; urgency=medium

  * Move git repository to alioth's collab-maint
  * Use standard dpkg-buildflags, and inject CPPFLAGS so cmake uses them
  * Move to debian/compat 9
  * Bump up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Fri, 03 Oct 2014 10:50:53 +0200

minbif (1:1.0.5+git20120508-3) unstable; urgency=medium

  * Build against libgnutls28-dev (Closes: #753130)

 -- Sebastien Delafond <seb@debian.org>  Sun, 29 Jun 2014 16:30:37 +0200
